Show / Hide Table of Contents

# Struct WeaponModelId

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct WeaponModelId

### Fields

| Improve this Doc View Source

#### Id

##### Declaration

    public ushort Id

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Stain

##### Declaration

    public byte Stain

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Type

##### Declaration

    public ushort Type

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Value

##### Declaration

    public ulong Value

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Variant

##### Declaration

    public ushort Variant

##### Field Value

Type | Description
--- | ---
System.UInt16 |